6.0.0-git
2019-03-18

[#7948] sql query error
Summary sql query error
Queue Kronolith
Queue Version Git master
Type Bug
State Resolved
Priority 2. Medium
Owners mrubinsk (at) horde (dot) org
Requester horde (at) smartsector (dot) hu
Created 2009-02-04 (3694 days ago)
Due
Updated 2009-02-09 (3689 days ago)
Assigned 2009-02-04 (3694 days ago)
Resolved 2009-02-09 (3689 days ago)
Milestone
Patch No

History
2009-02-09 22:27:00 Michael Rubinsky Assigned to Michael Rubinsky
State ⇒ Resolved
 
2009-02-09 22:01:09 horde (at) smartsector (dot) hu Comment #9 Reply to this comment
You need to create the database tables for the content package. These
are the rampage_* tables that are defined in the
content/data/rampage_*.xml files.
It's ok, after creating the new tables!

Thx!






2009-02-05 17:52:22 Michael Rubinsky Comment #8 Reply to this comment
You need to create the database tables for the content package. These 
are the rampage_* tables that are defined in the 
content/data/rampage_*.xml files.
2009-02-05 12:27:25 horde (at) smartsector (dot) hu Comment #7 Reply to this comment
Did you create the content tables?
Clearly I must missed something, but what are the content tables?
2009-02-04 23:22:38 Michael Rubinsky Comment #6 Reply to this comment
Did you create the content tables?
2009-02-04 22:56:57 horde (at) smartsector (dot) hu Comment #5 Reply to this comment
Latest Horde_Db did not fix the problem...


2009-02-04 22:55:03 horde (at) smartsector (dot) hu Comment #4 Reply to this comment
The config is:

$conf['sql']['username'] = '********';

$conf['sql']['password'] = '*******';

$conf['sql']['protocol'] = 'unix';

$conf['sql']['database'] = 'horde';

$conf['sql']['charset'] = 'UTF-8';

$conf['sql']['splitread'] = false;

$conf['sql']['phptype'] = 'mysqli';



If I change mysqli to mysql the error message is different:



Fatal error: Uncaught exception 'Horde_Db_Exception' with message 
'SQLSTATE[42S02]: Base table or view not found: 1146 Table 
'horde.rampage_types' doesn't exist' in 
/usr/share/php/Horde/Db/Adapter/Abstract.php:423 Stack trace: #0 
/usr/share/php/Horde/Db/Adapter/Pdo/Abstract.php(139): 
Horde_Db_Adapter_Abstract->execute('SELECT type_id,...', NULL, NULL) 
#1 /usr/share/horde/content/lib/Types/Manager.php(75): 
Horde_Db_Adapter_Pdo_Abstract->selectAssoc('SELECT type_id,...') #2 
/usr/share/horde/kronolith/lib/Tagger.php(57): 
Content_Types_Manager->ensureTypes(Array) #3 
/usr/share/horde/kronolith/templates/panel.inc(28): 
Kronolith_Tagger->__construct() #4 
/usr/share/horde/kronolith/month.php(39): 
require('/usr/share/hord...') #5 
/usr/share/horde/kronolith/index.php(23): 
include('/usr/share/hord...') #6 {main} thrown in 
/usr/share/php/Horde/Db/Adapter/Abstract.php on line 423
2009-02-04 21:42:57 Michael Rubinsky Comment #3 Reply to this comment
...and can you see if the latest commit to Horde_Db fixes this for you?



http://lists.horde.org/archives/commits/2009-February/000442.html
2009-02-04 21:24:29 Chuck Hagenbuch Comment #2
State ⇒ Feedback
Reply to this comment
What does your $conf['sql'] array look like (without the password, please)?
2009-02-04 20:36:40 horde (at) smartsector (dot) hu Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ sql query error
Queue ⇒ Kronolith
Milestone ⇒
Patch ⇒ No
Reply to this comment
This error is displayed below the calendar view of the user:



Fatal error: Uncaught exception 'Horde_Db_Exception' with message 
'QUERY FAILED: No database selected SELECT type_id, type_name FROM 
`rampage_types` WHERE type_name IN ('calendar','event')' in 
/usr/share/php/Horde/Db/Adapter/Mysqli.php:299 Stack trace: #0 
/usr/share/php/Horde/Db/Adapter/Mysqli.php(217): 
Horde_Db_Adapter_Mysqli->execute('SELECT type_id,...', NULL, NULL) #1 
/usr/share/php/Horde/Db/Adapter/Abstract.php(391): 
Horde_Db_Adapter_Mysqli->selectAll('SELECT type_id,...', NULL, NULL) 
#2 /usr/share/horde/content/lib/Types/Manager.php(75): 
Horde_Db_Adapter_Abstract->selectAssoc('SELECT type_id,...') #3 
/usr/share/horde/kronolith/lib/Tagger.php(57): 
Content_Types_Manager->ensureTypes(Array) #4 
/usr/share/horde/kronolith/templates/panel.inc(28): 
Kronolith_Tagger->__construct() #5 
/usr/share/horde/kronolith/month.php(39): 
require('/usr/share/hord...') #6 
/usr/share/horde/kronolith/index.php(23): 
include('/usr/share/hord...') #7 {main} thrown in 
/usr/share/php/Horde/Db/Adapter/Mysqli.php on line 299

Saved Queries